# Uses of Class
org.springframework.cglib.core.internal.CustomizerRegistry

Packages that use CustomizerRegistry
Package
Description
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.core.internal
Spring's repackaging of the CGLIB core internal package (for internal use only).

## Uses of CustomizerRegistry in org.springframework.cglib.core

Methods in org.springframework.cglib.core with parameters of type CustomizerRegistry
Modifier and Type
Method
Description
`static void`
EmitUtils.`append_string(CodeEmitter e, Type type, EmitUtils.ArrayDelimiters delims, CustomizerRegistry registry)`
`static void`
EmitUtils.`hash_code(CodeEmitter e, Type type, int multiplier, CustomizerRegistry registry)`
`static void`
EmitUtils.`not_equals(CodeEmitter e, Type type, Label notEquals, CustomizerRegistry registry)`
Branches to the specified label if the top two items on the stack are not equal.

## Uses of CustomizerRegistry in org.springframework.cglib.core.internal

Methods in org.springframework.cglib.core.internal that return CustomizerRegistry
Modifier and Type
Method
Description
`static CustomizerRegistry`
CustomizerRegistry.`singleton(Customizer customizer)`
Deprecated.
Only to keep backward compatibility.